# libtraceevent(3) Manual Page

## NAME

tep_get_page_size, tep_set_page_size - Get / set the size of a memory page on the machine, where the trace is generated

## SYNOPSIS

    #include <event-parse.h>

    int tep_get_page_size(struct tep_handle *tep);
    void tep_set_page_size(struct tep_handle *tep, int page_size);

## DESCRIPTION

The tep_get_page_size() function returns the size of a memory page on the machine, where the trace is generated. The tep argument is trace event parser context.

The tep_set_page_size() function stores in the tep context the size of a memory page on the machine, where the trace is generated. The tep argument is trace event parser context. The page_size argument is the size of a memory page, in bytes.

## RETURN VALUE

The tep_get_page_size() function returns size of the memory page, in bytes.

## EXAMPLE

    #include <unistd.h>
    #include <event-parse.h>
    ...
    struct tep_handle *tep = tep_alloc();
    ...
            int page_size = getpagesize();

            tep_set_page_size(tep, page_size);

            printf("The page size for this machine is %d\n", tep_get_page_size(tep));

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/